HOSTNAME(1)

NAME
hostname - show or set the system's host name
dnsdomainname - show the system's DNS domain name
domainname - show or set the system's NIS/YP domain name
nisdomainname - show or set system's NIS/YP domain name
nodename - show or set the system's DECnet node name
ypdomainname - show or set the system's NIS/YP domain name

SYNOPSIS
hostname [-v] [-s|--short]

hostname [-v] [-a|--alias] [-d|--domain] [-f|--fqdn|--long] [-i|--ip-address]

hostname [-v] [-y|--yp|--nis] [-n|--node]

hostname [-v] [-F filename|--file filename] [newname]

domainname [-v] [-F filename|--file filename] [newname]

nodename [-v] [-F filename|--file filename] [newname]

hostname [-v|--verbose] [-h|--help] [-V|--version]

dnsdomainname [-v]
nisdomainname [-v]
ypdomainname [-v]

DESCRIPTION
Hostname is the program that is used to either set or display the current host, domain or node name of the system. These names are used by many of the networking programs to identify the machine. The domain name is also used by NIS/YP.

  GET NAME
When called without any arguments, the program displays the current names:

hostname will print the name of the system as returned by the gethostname(2) function.

domainname, nisdomainname, ypdomainname will print the name of the system as returned by the getdomainname(2) function. This is also known as the YP/NIS domain name of the system.

nodename will print the DECnet node name of the system as returned by the getnodename(2) function.

dnsdomainname will print the domain part of the FQDN (Fully Qualified Domain Name). The complete FQDN of the system is returned with hostname --fqdn.

  SET NAME
When called with one argument or with the --file option, the commands set the host name, the NIS/YP domain name or the node name.

Note, that only the super-user can change the names.

It is not possible to set the FQDN or the DNS domain name with the dnsdomainname command (see THE FQDN below).

The host name is usually set once at system startup by reading the contents of a file which contains the host name, e.g. /etc/hostname).

  THE FQDN
You can't change the FQDN (as returned by hostname --fqdn) or the DNS domain name (as returned by dnsdomainname) with this command. The FQDN of the system is the name that the resolver(3) returns for the host name.

Technically: The FQDN is the canonical name returned by gethostbyname2(2) when resolving the result of the gethostname(2) name. The DNS domain name is the part after the first dot.

Therefore it depends on the configuration (usually in /etc/host.conf) how you can change it. If hosts is the first lookup method, you can change the FQDN in /etc/hosts.

OPTIONS

-a, --alias
    Display the alias name of the host (if used).

-d, --domain
    Display the name of the DNS domain (this is the FQDN without the segment up to the first dot). This is equivalent to using the dnsdomainname command.

-F, --file filename
    Read the new host name from the specified file. Comments (lines starting with a `#') are ignored.

-f, --fqdn, --long
    Display the FQDN (Fully Qualified Domain Name). A FQDN consists of name including the DNS domain.

-h, --help
    Print a usage message and exit.

-i, --ip-address
    Display the IP address(es) of the host.

-n, --node
    Display the DECnet node name. If a parameter is given (or --file name ) the root can also set a new node name.

-s, --short
    Display the short host name. This is the host name cut at the first dot.

-V, --version
    Print version information on standard output and exit successfully.

-v, --verbose
    Be verbose and tell what's going on.

-y, --yp, --nis
    Display the NIS domain name. If a parameter is given (or --file name ) then root can also set a new NIS domain.

FILES
/etc/hostname /etc/hosts /etc/host.conf

AUTHOR
Peter Tobias, <tobias@et-inf.fho-emden.de>
Bernd Eckenfels, <net-tools@lina.inka.de> (NIS and manpage).
Steve Whitehouse, <SteveW@ACM.org> (DECnet support and manpage).